# coding: utf-8

# flake8: noqa

"""
    Connection Rest API 1.0

    IDEA StatiCa Connection API, used for the automated design and calculation of steel connections.

    The version of the OpenAPI document: 1.0
    Contact: info@ideastatica.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "24.1.5.1133"

# import apis into sdk package
from ideastatica_connection_api.api.calculation_api import CalculationApi
from ideastatica_connection_api.api.client_api import ClientApi
from ideastatica_connection_api.api.connection_api import ConnectionApi
from ideastatica_connection_api.api.export_api import ExportApi
from ideastatica_connection_api.api.load_effect_api import LoadEffectApi
from ideastatica_connection_api.api.material_api import MaterialApi
from ideastatica_connection_api.api.member_api import MemberApi
from ideastatica_connection_api.api.operation_api import OperationApi
from ideastatica_connection_api.api.parameter_api import ParameterApi
from ideastatica_connection_api.api.presentation_api import PresentationApi
from ideastatica_connection_api.api.project_api import ProjectApi
from ideastatica_connection_api.api.report_api import ReportApi
from ideastatica_connection_api.api.template_api import TemplateApi

# import ApiClient
from ideastatica_connection_api.api_response import ApiResponse
from ideastatica_connection_api.api_client import ApiClient
from ideastatica_connection_api.configuration import Configuration
from ideastatica_connection_api.exceptions import OpenApiException
from ideastatica_connection_api.exceptions import ApiTypeError
from ideastatica_connection_api.exceptions import ApiValueError
from ideastatica_connection_api.exceptions import ApiKeyError
from ideastatica_connection_api.exceptions import ApiAttributeError
from ideastatica_connection_api.exceptions import ApiException

# import models into sdk package
from ideastatica_connection_api.models.anchor_grid import AnchorGrid
from ideastatica_connection_api.models.anchor_type import AnchorType
from ideastatica_connection_api.models.base_template_conversion import BaseTemplateConversion
from ideastatica_connection_api.models.beam_data import BeamData
from ideastatica_connection_api.models.bend_data import BendData
from ideastatica_connection_api.models.bolt_grid import BoltGrid
from ideastatica_connection_api.models.bolt_shear_type import BoltShearType
from ideastatica_connection_api.models.buckling_res import BucklingRes
from ideastatica_connection_api.models.check_res_anchor import CheckResAnchor
from ideastatica_connection_api.models.check_res_bolt import CheckResBolt
from ideastatica_connection_api.models.check_res_concrete_block import CheckResConcreteBlock
from ideastatica_connection_api.models.check_res_plate import CheckResPlate
from ideastatica_connection_api.models.check_res_summary import CheckResSummary
from ideastatica_connection_api.models.check_res_weld import CheckResWeld
from ideastatica_connection_api.models.con_analysis_type_enum import ConAnalysisTypeEnum
from ideastatica_connection_api.models.con_calculation_parameter import ConCalculationParameter
from ideastatica_connection_api.models.con_connection import ConConnection
from ideastatica_connection_api.models.con_load_effect import ConLoadEffect
from ideastatica_connection_api.models.con_load_effect_member_load import ConLoadEffectMemberLoad
from ideastatica_connection_api.models.con_load_effect_position_enum import ConLoadEffectPositionEnum
from ideastatica_connection_api.models.con_load_effect_section_load import ConLoadEffectSectionLoad
from ideastatica_connection_api.models.con_load_settings import ConLoadSettings
from ideastatica_connection_api.models.con_member import ConMember
from ideastatica_connection_api.models.con_mprl_cross_section import ConMprlCrossSection
from ideastatica_connection_api.models.con_mprl_element import ConMprlElement
from ideastatica_connection_api.models.con_operation import ConOperation
from ideastatica_connection_api.models.con_operation_common_properties import ConOperationCommonProperties
from ideastatica_connection_api.models.con_production_cost import ConProductionCost
from ideastatica_connection_api.models.con_project import ConProject
from ideastatica_connection_api.models.con_project_data import ConProjectData
from ideastatica_connection_api.models.con_result_summary import ConResultSummary
from ideastatica_connection_api.models.con_template_apply_param import ConTemplateApplyParam
from ideastatica_connection_api.models.con_template_mapping_get_param import ConTemplateMappingGetParam
from ideastatica_connection_api.models.concrete_block import ConcreteBlock
from ideastatica_connection_api.models.concrete_block_data import ConcreteBlockData
from ideastatica_connection_api.models.concrete_setup import ConcreteSetup
from ideastatica_connection_api.models.cone_breakout_check_type import ConeBreakoutCheckType
from ideastatica_connection_api.models.connection_check_res import ConnectionCheckRes
from ideastatica_connection_api.models.connection_data import ConnectionData
from ideastatica_connection_api.models.connection_setup import ConnectionSetup
from ideastatica_connection_api.models.crt_comp_check_is import CrtCompCheckIS
from ideastatica_connection_api.models.cut_beam_by_beam_data import CutBeamByBeamData
from ideastatica_connection_api.models.cut_data import CutData
from ideastatica_connection_api.models.cut_method import CutMethod
from ideastatica_connection_api.models.cut_orientation import CutOrientation
from ideastatica_connection_api.models.cut_part import CutPart
from ideastatica_connection_api.models.distance_comparison import DistanceComparison
from ideastatica_connection_api.models.draw_data import DrawData
from ideastatica_connection_api.models.folded_plate_data import FoldedPlateData
from ideastatica_connection_api.models.i_group import IGroup
from ideastatica_connection_api.models.idea_parameter import IdeaParameter
from ideastatica_connection_api.models.idea_parameter_update import IdeaParameterUpdate
from ideastatica_connection_api.models.line import Line
from ideastatica_connection_api.models.message_number import MessageNumber
from ideastatica_connection_api.models.open_element_id import OpenElementId
from ideastatica_connection_api.models.open_message import OpenMessage
from ideastatica_connection_api.models.open_messages import OpenMessages
from ideastatica_connection_api.models.pin_grid import PinGrid
from ideastatica_connection_api.models.plate_data import PlateData
from ideastatica_connection_api.models.point2_d import Point2D
from ideastatica_connection_api.models.point3_d import Point3D
from ideastatica_connection_api.models.poly_line2_d import PolyLine2D
from ideastatica_connection_api.models.reference_element import ReferenceElement
from ideastatica_connection_api.models.region2_d import Region2D
from ideastatica_connection_api.models.segment2_d import Segment2D
from ideastatica_connection_api.models.selected import Selected
from ideastatica_connection_api.models.selected_type import SelectedType
from ideastatica_connection_api.models.template_conversions import TemplateConversions
from ideastatica_connection_api.models.text import Text
from ideastatica_connection_api.models.text_position import TextPosition
from ideastatica_connection_api.models.vector3_d import Vector3D
from ideastatica_connection_api.models.weld_data import WeldData
from ideastatica_connection_api.models.weld_evaluation import WeldEvaluation
from ideastatica_connection_api.models.weld_type import WeldType
